Package org.eclipse.cdt.core

# Interface IBinaryParser.ISymbol

All Superinterfaces:
  `Comparable<Object>`

All Known Implementing Classes:
  `GNUPESymbol64`, `GNUSymbol`, `SomSymbol`, `Symbol`, `XCoffSymbol`

Enclosing interface:
  `IBinaryParser`

public static interface IBinaryParser.ISymbol extends Comparable<Object>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FUNCTION`
Symbol is type function.
`static final int`
`VARIABLE`
Symbol is type variable

## Method Summary

Modifier and Type
Method
Description
`IAddress`
`getAddress()`
Address of the symbol
`IBinaryParser.IBinaryObject`
`getBinaryObject()`
Return the binary object this symbol is from.
`int`
`getEndLine()`
End line number of the symbol in the source
`org.eclipse.core.runtime.IPath`
`getFilename()`
Source filename of the symbol.
`int`
`getLineNumber(long offset)`
Line number corresponding to the address offset.
`String`
`getName()`
Name of the Symbol
`long`
`getSize()`
Size of the symbol.
`int`
`getStartLine()`
Start linenumber of the symbol in the source
`int`
`getType()`
Type of the symbol

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Field Details

### FUNCTION

static final int FUNCTION
Symbol is type function.

See Also:
  - Constant Field Values

### VARIABLE

static final int VARIABLE
Symbol is type variable

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()
Name of the Symbol

### getAddress

IAddress getAddress()
Address of the symbol

### getSize

long getSize()
Size of the symbol.

### getStartLine

int getStartLine()
Start linenumber of the symbol in the source

### getEndLine

int getEndLine()
End line number of the symbol in the source

### getFilename

org.eclipse.core.runtime.IPath getFilename()
Source filename of the symbol.

### getType

int getType()
Type of the symbol

### getLineNumber

int getLineNumber(long offset)
Line number corresponding to the address offset.

Parameters:
  `offset` -

### getBinaryObject

IBinaryParser.IBinaryObject getBinaryObject()
Return the binary object this symbol is from.